Package org.gradle.api.problems

## Interface Problem

- All Known Subinterfaces:
    `ReportableProblem`

      @Incubating
      public interface Problem

  Interface for describing structured information about a problem.
  Since:
    8.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​java.lang.String>` | `getAdditionalData()` | Additional Data about the problem.
    `java.lang.String` | `getDetails()` | A long description detailing the problem.
    `DocLink` | `getDocumentationLink()` | A link to the documentation for this problem.
    `java.lang.Throwable` | `getException()` | The exception that caused the problem.
    `java.lang.String` | `getLabel()` | The label of the problem.
    `java.util.List<ProblemLocation>` | `getLocations()` | Return the location data associated available for this problem.
    `ProblemCategory` | `getProblemCategory()` | Returns the problem category.
    `Severity` | `getSeverity()` | Problem severity.
    `java.util.List<java.lang.String>` | `getSolutions()` | A list of possible solutions the user can try to fix the problem.

- - ### Method Detail

    - #### getProblemCategory

          ProblemCategory getProblemCategory()

      Returns the problem category.
      Returns:
        the problem category
      Since:
        8.5

    - #### getLabel

          java.lang.String getLabel()

      The label of the problem.

      Labels should be short and concise, so they fit approximately in a single line.

    - #### getDetails

          @Nullable
          java.lang.String getDetails()

      A long description detailing the problem.

      Details can elaborate on the problem, and provide more information about the problem. They can be multiple lines long, but should not detail solutions; for that, use `getSolutions()`.

    - #### getSeverity

          Severity getSeverity()

      Problem severity.

      The severity of a problem is a hint to the user about how important the problem is. ERROR will fail the build, WARNING will not.

    - #### getLocations

          java.util.List<ProblemLocation> getLocations()

      Return the location data associated available for this problem.
      Since:
        8.5

    - #### getDocumentationLink

          @Nullable
          DocLink getDocumentationLink()

      A link to the documentation for this problem.

    - #### getSolutions

          java.util.List<java.lang.String> getSolutions()

      A list of possible solutions the user can try to fix the problem.

    - #### getException

          @Nullable
          java.lang.Throwable getException()

      The exception that caused the problem.
      Since:
        8.5

    - #### getAdditionalData

          java.util.Map<java.lang.String,​java.lang.String> getAdditionalData()

      Additional Data about the problem. In a map so it can be somewhat structured.